package cn.ibizlab.r7.runtime.client.base.feign;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.r7.runtime.core.client.model.IUserRoleRes;
import cn.ibizlab.r7.runtime.client.base.model.UserRoleResImpl;
import cn.ibizlab.r7.runtime.util.SearchContext;
/**
 * 实体[UserRoleRes] 服务对象接口
 */
public interface UserRoleResFeignClient {

    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/userroleres/{userroleresid}/getdraft")
    public UserRoleResImpl getDraft(@PathVariable("userroleresid") String userroleresid,@RequestBody UserRoleResImpl userroleres);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/userroleres/{userroleresid}/checkkey")
    public UserRoleResImpl checkKey(@PathVariable("userroleresid") String userroleresid,@RequestBody UserRoleResImpl userroleres);


    @RequestMapping(method = RequestMethod.PUT, value = "/baseapi/userroleres/{userroleresid}")
    public UserRoleResImpl update(@PathVariable("userroleresid") String userroleresid,@RequestBody UserRoleResImpl userroleres);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/userroleres/{userroleresid}")
    public UserRoleResImpl get(@PathVariable("userroleresid") String userroleresid);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/userroleres")
    public UserRoleResImpl create(@RequestBody UserRoleResImpl userroleres);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/userroleres/{userroleresid}/save")
    public UserRoleResImpl save(@PathVariable("userroleresid") String userroleresid,@RequestBody UserRoleResImpl userroleres);


    @RequestMapping(method = RequestMethod.DELETE, value = "/baseapi/userroleres/{userroleresid}")
    public Boolean remove(@PathVariable("userroleresid") String userroleresid);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/userroleres/fetchdefault")
    public Page<UserRoleResImpl> fetchDefault(SearchContext context);



}
