package cn.ibizlab.r7.runtime.client.base.feign;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.r7.runtime.core.client.model.IUserRoleDetail;
import cn.ibizlab.r7.runtime.client.base.model.UserRoleDetailImpl;
import cn.ibizlab.r7.runtime.util.SearchContext;
/**
 * 实体[UserRoleDetail] 服务对象接口
 */
public interface UserRoleDetailFeignClient {

    @RequestMapping(method = RequestMethod.DELETE, value = "/baseapi/userroledetails/{userroledetailid}")
    public Boolean remove(@PathVariable("userroledetailid") String userroledetailid);


    @RequestMapping(method = RequestMethod.PUT, value = "/baseapi/userroledetails/{userroledetailid}")
    public UserRoleDetailImpl update(@PathVariable("userroledetailid") String userroledetailid,@RequestBody UserRoleDetailImpl userroledetail);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/userroledetails/{userroledetailid}/save")
    public UserRoleDetailImpl save(@PathVariable("userroledetailid") String userroledetailid,@RequestBody UserRoleDetailImpl userroledetail);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/userroledetails")
    public UserRoleDetailImpl create(@RequestBody UserRoleDetailImpl userroledetail);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/userroledetails/{userroledetailid}/getdraft")
    public UserRoleDetailImpl getDraft(@PathVariable("userroledetailid") String userroledetailid,@RequestBody UserRoleDetailImpl userroledetail);


    @RequestMapping(method = RequestMethod.POST, value = "/baseapi/userroledetails/{userroledetailid}/checkkey")
    public UserRoleDetailImpl checkKey(@PathVariable("userroledetailid") String userroledetailid,@RequestBody UserRoleDetailImpl userroledetail);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/userroledetails/{userroledetailid}")
    public UserRoleDetailImpl get(@PathVariable("userroledetailid") String userroledetailid);


    @RequestMapping(method = RequestMethod.GET, value = "/baseapi/userroledetails/fetchdefault")
    public Page<UserRoleDetailImpl> fetchDefault(SearchContext context);



}
